[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libqt3-dev and kdebase-dev mutually exclusive?

GreenePA Support wrote:

I'm having a small problem... I'm trying to compile SuperKaramba, and it needs both the KDE development files, and the Qt 3 development files... I didn't figure this would be a problem, but am running into something bizzare...

When I install kdebase-dev, it uninstalls libqt3-dev. When I install libqt3-dev, it uninstalls kdebase-dev...

It's driving me insane... It's like the two sets of development files are mutually exclusive, but if they are I cannot understand why... I mean, KDE development is totally seperate from Qt development, and vice versa...
   Is there a way around this snafu? Am I doing something wrong?


$ apt-cache show libqt3-dev
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead
 (Read README.Debian for instructions).

Try libqt3-mt-dev instead (the multithreaded version).

-Roberto Sanchez

Attachment: signature.asc
Description: OpenPGP digital signature

Reply to: